#ifndef _EDITWATER_H
#define _EDITWATER_H

#include <QDialog>


namespace Ui {
class EditWater;
}

class EditWater : public QDialog
{
    Q_OBJECT

signals:
    void entry_changed();

public:
    explicit EditWater(int id, QWidget *parent = 0);
    ~EditWater();

private slots:
    void on_saveButton_clicked();
    void on_quitButton_clicked();
    void on_deleteButton_clicked();
    void is_changed();
    void water_changed();
    void hco_changed();
    void alkalinity_changed();

private:
    Ui::EditWater *ui;
    int recno;
    bool textIsChanged = false;

    void WindowTitle();
    void WaterSet();
};

#endif
